%define		php_name	php%{?php_suffix}
%define		modname	parsekit
%define		status		stable
Summary:	%{modname} - PHP Opcode Analyser
Summary(pl.UTF-8):	%{modname} - Analizator instrukcji PHP
Name:		%{php_name}-pecl-%{modname}
Version:	1.3.0
Release:	5
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	6045927d06da9f5b8852d220142018bc
URL:		http://pecl.php.net/package/parsekit/
BuildRequires:	%{php_name}-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Requires:	php(core) >= 5.0.4
Obsoletes:	php-pear-%{modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides a userspace interpretation of the opcodes generated by the
Zend engine compiler built into PHP.

This extension is meant for development and debug purposes only and
contains some code which is potentially non-threadsafe.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
Dostarcza działającego w przestrzeni użytkownika interpretera
instrukcji wygenerowanych przez kompilator silnika Zend wbudowany w
PHP.

To rozszerzenie przeznaczone jest do rozwoju oraz w celu wyszukiwania
błędów. Zawiera kod, który potencjalnie nie jest bezpieczny dla
aplikacji wielowątkowych.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}
install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc README
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sun Nov 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-parsekit.git;a=log;h=master

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 64da633
support building for multiple php versions

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 0c3a94d
- use php(core) as dependency to require php version
- release 4 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 8c6b8fa
- release 4 (by relup.sh)

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> eb3c9a0
- release 3

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 5966f0f
- release 2

* Wed Oct 28 2009 Adam Gołębiowski <adamg@pld-linux.org> 2b03576
- updated to 1.3.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6073a2f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ce8f50b
- converted to UTF-8

* Tue Jan 02 2007 Elan Ruusamäe <glen@pld-linux.org> bed834b
- use new php extension related macros

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> 2afdd1d
- rel 2 (php 5.2.0)

* Mon Nov 27 2006 Adam Gołębiowski <adamg@pld-linux.org> 99a0240
- updated to 1.2

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> a5be049
- BR rpmmacros for fixed %requires_php_extension

* Wed Jun 21 2006 Adam Gołębiowski <adamg@pld-linux.org> 2cc4cd5
- obsolete

* Wed Jun 21 2006 Adam Gołębiowski <adamg@pld-linux.org> 590203e
- updated to 1.1

* Thu Dec 22 2005 Adam Gołębiowski <adamg@pld-linux.org> 53dca6c
- new

* Thu Dec 22 2005 Adam Gołębiowski <adamg@pld-linux.org> be8a2b7
- fix build with php5.1
- release 6

* Thu Dec 22 2005 Elan Ruusamäe <glen@pld-linux.org> 24cc24a
- rel 5 (rebuild with new php)

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> 326fe99
- rel 4

* Sat Oct 29 2005 Elan Ruusamäe <glen@pld-linux.org> ea6f66b
- rebuild with zts and debug requires

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> aacfddc
- rel 2

